// ******************************************************************************************
// Mod Name: MoreConsolesMod
// Mod Id: MoreConsolesMod
// Mod Version: 0.0.1
// Mod File: code.js
// ******************************************************************************************
// Author: FrankieTheGamer
// Last modified: 2015-12-18 16:57
// ******************************************************************************************
// Notes: This file is loaded from main.js
// ******************************************************************************************

// Create the main mod object (our package)
var MoreConsolesMod = {};

(function(){

// ******************************************************************************************
// Platforms
// ******************************************************************************************

// Adding FreyStation
// -----------------------------------------------------------
GDT.addPlatform({
	id:"41eccf4e-40d9-4f0e-80fa-9faea43ad613",
	name:"FreyStation",
	company:"Fony",
	startAmount:2,
	unitsSold:4E3,
	licencePrize:1E4,
	published:"1/3/2",
	platformRetireDate:"4/1/1",
	developmentCosts:1E4,
	genreWeightings:[  0.9, 1, 1, 0.9, 1, 0.9 ],
	audienceWeightings:[  1, 1, 0.9 ],
	techLevel:2,
	iconUri: MoreConsolesMod.modPath + "/images/platforms/Fraystation 1.png",
	events:[{
	id: "fa64fc92-e2c2-41b4-8bb9-0df5f62dcd1c",
	date: "1/3/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Fony",
	text: "Fony a company known for Game Paco Man have just realesed a console called The FreyStation 1",
	image: MoreConsolesMod.modPath + "/images/notifications/Fraystation 1.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding FreyStation 2
// -----------------------------------------------------------
GDT.addPlatform({
	id:"6670437c-74e6-4492-9fdd-76aad1dbe943",
	name:"FreyStation 2",
	company:"Fony",
	startAmount:1.8,
	unitsSold:3E3,
	licencePrize:1E4,
	published:"4/5/3",
	platformRetireDate:"8/4/3",
	developmentCosts:2E4,
	genreWeightings:[  1, 1, 1, 0.9, 1, 1 ],
	audienceWeightings:[  1, 1, 0.9 ],
	techLevel:2,
	iconUri: MoreConsolesMod.modPath + "/images/platforms/FreyStation 2.png",
	events:[{
	id: "c1ad8dec-96d2-474c-975a-5763b69856cf",
	date: "4/6/2",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Fony Comes Again",
	text: "Fony a company known for the console FreyStation 1 have just realesed a console called The FreyStation 2",
	image: MoreConsolesMod.modPath + "/images/notifications/FreyStation 2.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding FreyStation 3
// -----------------------------------------------------------
GDT.addPlatform({
	id:"a42af9d2-4cf9-45ed-b036-2909bbba543d",
	name:"FreyStation 3",
	company:"Fony",
	startAmount:1E3,
	unitsSold:5E3,
	licencePrize:3E4,
	published:"8/4/2",
	platformRetireDate:"11/7/4",
	developmentCosts:3E4,
	genreWeightings:[  1, 1, 1, 1, 0.9, 1 ],
	audienceWeightings:[  0.9, 1, 1 ],
	techLevel:2,
	iconUri: MoreConsolesMod.modPath + "/images/platforms/playstation3.png",
	events:[{
	id: "7f582434-2b3e-47fd-b617-3bbbc1a975a9",
	date: "8/7/3",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "Fony Comes To Save Us Again",
	text: "Fony a company known for the console FreyStation 2 have just realesed a console called The FreyStation 3",
	image: MoreConsolesMod.modPath + "/images/notifications/playstation3.png",
	buttonText: "OK",
	weeksUntilFired: 0
	});} 
	}
]
	});

// Adding FreyStation 3 Mini
// -----------------------------------------------------------
GDT.addPlatform({
	id:"27f2c33f-81fb-440b-9683-8ebc212c6eab",
	name:"FreyStation 3 Mini",
	company:"Fony",
	startAmount:2E3,
	unitsSold:6E3,
	licencePrize:2E4,
	published:"11/7/4",
	platformRetireDate:"13/11/3",
	developmentCosts:1E4,
	genreWeightings:[  1, 1, 0.9, 1, 0.9, 1 ],
	audienceWeightings:[  1, 1, 0.9 ],
	techLevel:3,
	iconUri: MoreConsolesMod.modPath + "/images/platforms/Playstation3mini.png",
	events:[{
	id: "cb6949a3-f0ab-467d-8a81-898bb9c85749",
	date: "11/7/4",
	isRandom: false,
	ignoreGameLengthModifier: false,
	maxTriggers: 1,
	getNotification: function(company){ return new Notification({
	header: "A Mini Console",
	text: "Fony a company known for the console FreyStation 3 have just realesed a console called The FreyStation 3 Mini The CEO Kevin\\nanaounced that its going to be tiny but can carry even more data than the FreyStation 3!!",
	image: MoreConsolesMod.modPath + "/images/notifications/Playstation3mini.png",
	buttonText: "WOW!",
	weeksUntilFired: 0
	});} 
	}
]
	});


// ******************************************************************************************
// Events
// ******************************************************************************************



})();
